--[[
************************************************************************
Project				: SKG
Author				: zhinjio
Project Revision	: r135
Project Date		: 20090516061127

File				: SKG_LootFilter.lua
Commit Author		: zhinjio
Commit Revision		: 133
Commit Date			: 20090501071728
************************************************************************
Description	:
	This file contains a big list of all the items that SKG should ignore
	when they appear in a loot event.

TODO		:

************************************************************************
(see bottom of file for changelog)
************************************************************************
--]]

SKG_LootIgnore = {
--[[
-- Test Items
	[5187] = "1",	-- Rhahk'Zor's Hammer (deadmines)
]]--
-- Misc Items
	[28558] = "1",	-- Spirit Shard
	[29434] = "1",	-- Badge of Justice
	[32897] = "1",	-- Mark of the Illidari
	[24368] = "1",	-- Coilfang Armaments
	[21882] = "1",	-- Soul Essence
	[23572] = "1",	-- Primal Nether
	[30183] = "1",	-- Nether Vortex
	[32428] = "1",	-- Heart of Darkness
	[32897] = "1",	-- Mark of the Illidari
	[33865] = "1",	-- Amani Hex Stick
	[34664] = "1",	-- Sunmote
	[40752] = "1",  -- Emblem of Heroism
	[40753] = "1",  -- Emblem of Valor
	[45624] = "1",	-- Emblem of Conquest
	[43228] = "1",  -- Stone Keeper's Shard 
-- ZG Items ( Bijous + Coins )
	[19707] = "1",	-- Red Hakkari Bijou
	[19708] = "1",	-- Blue Hakkari Bijou
	[19709] = "1",	-- Yellow Hakkari Bijou
	[19710] = "1",	-- Orange Hakkari Bijou
	[19711] = "1",	-- Green Hakkari Bijou
	[19712] = "1",	-- Purple Hakkari Bijou
	[19713] = "1",	-- Bronze Hakkari Bijou
	[19714] = "1",	-- Silver Hakkari Bijou
	[19715] = "1",	-- Gold Hakkari Bijou
	[19698] = "1",	-- Zulian Coin
	[19699] = "1",	-- Razzashi Coin
	[19700] = "1",	-- Hakkari Coin
	[19701] = "1",	-- Gurubashi Coin
	[19702] = "1",	-- Vilebranch Coin
	[19703] = "1",	-- Witherbark Coin
	[19704] = "1",	-- Sandfury Coin
	[19705] = "1",	-- Skullsplitter Coin
	[19706] = "1",	-- Bloodscalp Coin
-- AQ Items (Idols and Scarabs)
	[20866] = "1",	-- Azure Idol
	[20867] = "1",	-- Onyx Idol
	[20868] = "1",	-- Lambent Idol
	[20869] = "1",	-- Amber Idol
	[20870] = "1",	-- Jasper Idol
	[20871] = "1",	-- Obsidian Idol
	[20872] = "1",	-- Vermillion Idol
	[20873] = "1",	-- Alabaster Idol
	[20874] = "1",	-- Idol of the Sun
	[20875] = "1",	-- Idol of Night
	[20876] = "1",	-- Idol of Death
	[20877] = "1",	-- Idol of the Sage
	[20878] = "1",	-- Idol of Rebirth
	[20879] = "1",	-- Idol of Life
	[20881] = "1",	-- Idol of Strife
	[20882] = "1",	-- Idol of War
	[20858] = "1",	-- Stone Scarab
	[20859] = "1",	-- Gold Scarab
	[20860] = "1",	-- Silver Scarab
	[20861] = "1",	-- Bronze Scarab
	[20862] = "1",	-- Crystal Scarab
	[20863] = "1",	-- Clay Scarab
	[20864] = "1",	-- Bone Scarab
	[20865] = "1",	-- Ivory Scarab
-- Naxxramas Items
	[22373] = "1",	-- Wartorn Leather Scrap
	[22374] = "1",	-- Wartorn Chain Scrap
	[22375] = "1",	-- Wartorn Plate Scrap
	[22376] = "1",	-- Wartorn Cloth Scrap
-- Kael'thas event weapon drops
	[30311] = "1",	-- Warp Slicer
	[30312] = "1",	-- Infinity Blade
	[30313] = "1",	-- Staff of Disintegration
	[30314] = "1",	-- Phaseshift Bulwark
	[30316] = "1",	-- Devastation
	[30317] = "1",	-- Cosmic Infuser
	[30318] = "1",	-- Netherstrand Longbow
	[30319] = "1",	-- Nether Spike (arrows for Netherstrand Longbow)
	[30320] = "1",	-- Bundle of Nether Spikes (container for above)
}
--
-- The following items have custom loot filters
--
--	DRUID HUNTER MAGE PALADIN PRIEST ROGUE SHAMAN WARLOCK WARRIOR DEATHKNIGHT
SKG_LootFilter = {
--[[
-- Test Items
	[5195] = "1111100000", -- Gold-flecked Gloves (deadmines)
	[5194] = "0000011111", -- TaskMaster Axe (deadmines)
]]--
-- AQ Quest Items
--		Qiraji Magisterial Ring
	[20884] = "1011001010",	-- Warrior, Paladin, Shaman, Mage, Druid
--		Qiraji Martial Drape
	[20885] = "0010110010",	-- Warrior, Rogue, Priest, Mage
--		Qiraji Spiked Hilt
	[20886] = "0101011010",	-- Warrior, Paladin, Hunter, Rogue, Shaman
--		Qiraji Ceremonial Ring
	[20888] = "0100110100",	-- Hunter, Rogue, Priest, Warlock
--		Qiraji Regal Drape
	[20889] = "1101001100",	-- Paladin, Hunter, Shaman, Warlock, Druid
--		Qiraji Ornate Hilt
	[20890] = "1010100100",	-- Priest, Mage, Warlock, Druid
--		Vek'nilash's Circlet
	[20926] = "0010100110",	-- Warrior, Priest, Mage, Warlock
--		Ouro's Intact Hide
	[20927] = "0010110010",	-- Warrior, Rogue, Priest, Mage
--		Qiraji Bindings of Command
	[20928] = "0100110010",	-- Warrior, Hunter, Rogue, Priest
--		Carapace of the Old God
	[20929] = "0101011010",	-- Warrior, Paladin, Hunter, Rogue, Shaman
--		Vek'lor's Diadem
	[20930] = "1101011000",	-- Paladin, Hunter, Rogue, Shaman, Druid
--		Skin of the Great Sandworm
	[20931] = "1101001100",	-- Paladin, Hunter, Shaman, Warlock, Druid
--		Qiraji Bindings of Dominance
	[20932] = "1011001100",	-- Paladin, Shaman, Mage, Warlock, Druid
--		Husk of the Old God
	[20933] = "1010100100",	-- Priest, Mage, Warlock, Druid
-- Naxxramas
--		Priest, Mage, Warlock
	[22366] = "0010100100",	-- Desecrated Leggings
	[22367] = "0010100100",	-- Desecrated Circlet
	[22369] = "0010100100",	-- Desecrated Bindings
	[22370] = "0010100100",	-- Desecrated Belt
	[22371] = "0010100100",		-- Desecrated Gloves
--		Paladin, Hunter, Shaman, Druid
	[22359] = "1101001000",	-- Desecrated Legguards
	[22360] = "1101001000",	-- Desecrated Headpiece
	[22363] = "1101001000",	-- Desecrated Girdle
	[22364] = "1101001000",	-- Desecrated Handguards
	[22365] = "1101001000",	-- Desecrated Boots
--		Warrior, Rogue
	[22349] = "0000010010",	-- Desecrated Breastplate
	[22353] = "0000010010",	-- Desecrated Helmet
	[22355] = "0000010010",	-- Desecrated Bracers
	[22357] = "0000010010",	-- Desecrated Gauntlets
	[22352] = "0000010010",	-- Desecrated Legplates
-- Tier 4 and 5 Tokens
--		Hunter, Mage, Warlock
	[29755] = "0110000100",
	[29756] = "0110000100",
	[29759] = "0110000100",
	[29762] = "0110000100",
	[29765] = "0110000100",
	[30238] = "0110000100",
	[30241] = "0110000100",
	[30244] = "0110000100",
	[30247] = "0110000100",
	[30250] = "0110000100",
--		Paladin, Rogue, Shaman
	[29754] = "0001011000",
	[29757] = "0001011000",
	[29760] = "0001011000",
	[29763] = "0001011000",
	[29766] = "0001011000",
	[30236] = "0001011000",
	[30239] = "0001011000",
	[30242] = "0001011000",
	[30245] = "0001011000",
	[30248] = "0001011000",
--		Warrior, Priest, Druid
	[29753] = "1000100010",
	[29758] = "1000100010",
	[29761] = "1000100010",
	[29764] = "1000100010",
	[29767] = "1000100010",
	[30237] = "1000100010",
	[30240] = "1000100010",
	[30243] = "1000100010",
	[30246] = "1000100010",
	[30249] = "1000100010",
-- Tier 6 Tokens
--		Paladin, Priest, Warlock
	[31089] = "0001100100",
	[31092] = "0001100100",
	[31097] = "0001100100",
	[31098] = "0001100100",
	[31101] = "0001100100",
--		Rogue, Mage, Druid
	[31090] = "1010010000",
	[31093] = "1010010000",
	[31096] = "1010010000",
	[31099] = "1010010000",
	[31102] = "1010010000",
--		Warrior, Hunter, Shaman
	[31091] = "0100001010",
	[31094] = "0100001010",
	[31095] = "0100001010",
	[31100] = "0100001010",
	[31103] = "0100001010",
--	Tier 7 / 7.5 Tokens
--	DRUID HUNTER MAGE PALADIN PRIEST ROGUE SHAMAN WARLOCK WARRIOR DEATHKNIGHT
--		Paladin, Priest, Warlock
	[40625] = "0001100100",
	[40610] = "0001100100",
	[40631] = "0001100100",
	[40628] = "0001100100",
	[40613] = "0001100100",
	[40616] = "0001100100",
	[40619] = "0001100100",
	[40634] = "0001100100",
	[40637] = "0001100100",
	[40622] = "0001100100",
--		Warrior, Hunter, Shaman
	[40626] = "0100001010",
	[40611] = "0100001010",
	[40632] = "0100001010",
	[40629] = "0100001010",
	[40614] = "0100001010",
	[40617] = "0100001010",
	[40620] = "0100001010",
	[40635] = "0100001010",
	[40638] = "0100001010",
	[40623] = "0100001010",
--		Rogue, Death Knight, Mage, Druid
	[40627] = "1010010001",
	[40612] = "1010010001",
	[40633] = "1010010001",
	[40630] = "1010010001",
	[40615] = "1010010001",
	[40618] = "1010010001",
	[40621] = "1010010001",
	[40636] = "1010010001",
	[40639] = "1010010001",
	[40624] = "1010010001",
}

-- DRUID HUNTER MAGE PALADIN PRIEST ROGUE SHAMAN WARLOCK WARRIOR DEATHKNIGHT
--				Strict			Loose
-- Plate	: 0001000011		0001000011
-- Mail		: 0100001000		0101001011
-- Leather	: 1000010000		1101011011
-- Cloth	: 0010100100		1111111111
SKG_ArmorFilter = {
	[0] = { -- None
		["Plate"]		= "1111111111",
		["Mail"]		= "1111111111",
		["Leather"]		= "1111111111",
		["Cloth"]		= "1111111111",
	},
	[1] = { -- Loose
		["Plate"]		= "0001000011",
		["Mail"]		= "0101001011",
		["Leather"]		= "1101011011",
		["Cloth"]		= "1111111111",
	},
	[2] = { -- Strict
		["Plate"]		= "0001000011",
		["Mail"]		= "0100001000",
		["Leather"]		= "1000010000",
		["Cloth"]		= "0010100100",
	},
}

--[[
************************************************************************
CHANGELOG:

Date : 4/22/09
	Added in Emblem of Conquest
Date : 12/22/08
	Added support for Death Knight.
Date : 10/25/08
	Initial attempt with Ace3 instead of LibRock. Probably will require
	major edits once. Added header/footer. 
************************************************************************
]]--
